max
mt_getrandmax
Math Functions
PHP Manual

# min

(PHP 4, PHP 5)

min — Find lowest value

### Description

mixed min ( array `$values` )
mixed min ( mixed `$value1` , mixed `$value2` [, mixed `$value3...` ] )

If the first and only parameter is an array, min() returns the lowest value in that array. If at least two parameters are provided, min() returns the smallest of these values.

> Note: PHP will evaluate a non-numeric string as 0 if compared to integer, but still return the string if it's seen as the numerically lowest value. If multiple arguments evaluate to 0, min() will return the lowest alphanumerical string value if any strings are given, else a numeric 0 is returned.

### Parameters

`values`

  An array containing the values.

### Return Values

min() returns the numerically lowest of the parameter values.

### Examples

Example #1 Example uses of min()

`<?php
echo min(2, 3, 1, 6, 7); // 1
echo min(array(2, 4, 5)); // 2
echo min(0, 'hello'); // 0
echo min('hello', 0); // hello
echo min('hello', -1); // -1
// With multiple arrays, min compares from left to right
// so in our example: 2 == 2, but 4 < 5
$val = min(array(2, 4, 8), array(2, 5, 1)); // array(2, 4, 8)
// If both an array and non-array are given, the array
// is never returned as it's considered the largest
$val = min('string', array(2, 5, 7), 42); // string
?>`

### See Also

- max()
- count()

max
mt_getrandmax
Math Functions
PHP Manual